#
# spec file for package lua51-luasocket
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor lua51
%define mod_name luasocket
Name:           %{flavor}-%{mod_name}
Version:        3.0~rc1+git20170515.5a17f79
Release:        lp150.3.3
Summary:        Network support for the Lua language
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/diegonehab/luasocket
Source:         %{mod_name}-%{version}.tar.xz
Patch0:         luasocket-makefile.patch
BuildRequires:  %{flavor}-devel
Requires:       %{flavor}
%if "%{flavor}" == "lua53"
Provides:       luasocket = %{version}
Obsoletes:      luasocket < %{version}
%endif
%if "%{flavor}" == "lua"
ExclusiveArch:  do_not_build
%endif

%description
LuaSocket is a Lua extension library that is composed by two parts: a C core
that provides support for the TCP and UDP transport layers, and a set of Lua
modules that add support for functionality commonly needed by applications
that deal with the Internet.

Among the support modules, the most commonly used implement the SMTP, HTTP
and FTP. In addition there are modules for MIME, URL handling and LTN12.

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1

%build
%{_bindir}/iconv -f ISO8859-1 -t UTF8 LICENSE >LICENSE.UTF8
mv -f LICENSE.UTF8 LICENSE
make %{?_smp_mflags} OPTFLAGS="%{optflags} -fPIC -I%{lua_incdir}" linux

%install
make install-unix OPTFLAGS="%{optflags}" INSTALL_TOP=%{buildroot} INSTALL_TOP_CDIR=%{buildroot}%{lua_archdir} INSTALL_TOP_LDIR=%{buildroot}%{lua_noarchdir}

%files
%doc doc/*
%doc README LICENSE
%{lua_archdir}/mime
%{lua_archdir}/socket
%{lua_noarchdir}/ltn12.lua
%{lua_noarchdir}/mime.lua
%{lua_noarchdir}/socket.lua
%{lua_noarchdir}/socket/

%changelog
* Mon Oct 16 2017 tchvatal@suse.com
- Provide/Obsolete luasocket to avoid conflict wrt bsc#1063306
* Thu Jul 27 2017 tchvatal@suse.com
- Switch from multibuild for now as it can't be in rings and this
  is a ring package
* Fri Jul 14 2017 tchvatal@suse.com
- Update to version 3.0~rc1+git20170515.5a17f79:
  * make protect_segment in url.lua rfc compliant
  * fix for Lua 5.3 built without number / string conversion
  * correct typo
  * Fix issue #196
  * Preserve path when parsing urls.
  * Fix typo
- Switch to multibuild package
- luasocket-makefile.patch refresh to apply on new version
* Tue Jul 11 2017 tchvatal@suse.com
- Fix build with namespaced lua
* Thu Sep 15 2016 mvetter@suse.com
- Using Requires: Lua(API) = 5.1 instead of Requires: lua51 as
  suggested by DimStar in SR#423700
* Mon Oct 20 2014 i@marguerite.su
- update version 3.0~rc1+git20140716
* Sat Feb 22 2014 i@marguerite.su
- initial version 3.0~rc1
- copied from luasocket
